# GenericDocument class

A generic document. Contains fields and sub-documents.

Available Extensions
  - GenericDocumentExtension
Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: true, createToJson: false, explicitToJson: false)

## Constructors

GenericDocument({required GenericDocumentNormalizedType? type, List<Field>? fields, List<GenericDocument>? children, required double? confidence, required double? confidenceWeight})
GenericDocument.fromJson(Map<String, dynamic> json)
  factory

## Properties

children ↔ List<GenericDocument>?
  A list of sub-documents.
  read / write
confidence ↔ double?
  Confidence in result accuracy. The value ranges from 0 to 1, higher is better.
  read / write
confidenceWeight ↔ double?
  The weight of the confidence. Can be used to calculate the weighted average confidence of two documents.
  read / write
fields ↔ List<Field>?
  A list of document fields.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
type ↔ GenericDocumentNormalizedType?
  The type of the document.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited